Skip to main content
GET
/
data-connectors
/
{id}
/
files
List files in a data connector
curl --request GET \
  --url https://api.cloudglue.dev/v1/data-connectors/{id}/files \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "data_connector_file",
      "type": "file",
      "uri": "<string>",
      "name": "<string>",
      "mime_type": "<string>",
      "size_bytes": 123,
      "created_at": 123,
      "metadata": {
        "folder_id": "<string>",
        "path": "<string>",
        "prefix": "<string>"
      }
    }
  ],
  "has_more": true,
  "next_page_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the data connector

Query Parameters

limit
integer
default:20

Maximum number of files to return (1-100)

Required range: 1 <= x <= 100
page_token
string

Opaque cursor for pagination. Use the next_page_token from a previous response.

from
string<date>

Start date for filtering (YYYY-MM-DD). Applies to Zoom and Grain connectors only.

to
string<date>

End date for filtering (YYYY-MM-DD). Applies to Zoom and Grain connectors only.

folder_id
string

Google Drive folder ID to list contents of. Applies to Google Drive connectors only.

path
string

Dropbox folder path to list contents of (default: root). Applies to Dropbox connectors only.

bucket
string

Bucket name. Required for S3 and GCS connectors.

prefix
string

Key prefix filter. Applies to S3 and GCS connectors only.

Title search filter. Applies to Grain connectors only. See the Grain documentation for more details.

team
string

Team filter. Applies to Grain connectors only. See the Grain documentation for more details.

meeting_type
string

Meeting type filter. Applies to Grain connectors only. See the Grain documentation for more details.

Response

A list of files and folders

object
enum<string>
required

Object type, always 'list'

Available options:
list
data
object[]
required

Array of file and folder objects

has_more
boolean
required

Whether more results are available

next_page_token
string | null
required

Opaque cursor to pass as page_token for the next page. Null when there are no more results.